aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2019-06-13 13:31:33 +0200
committerFabian Groffen <grobian@gentoo.org>2019-06-13 13:31:33 +0200
commit3f59ae89004adfb1c6111acee7197758722ae69b (patch)
treeff61614d19b5956121f625dc2bb7aa7b579c764d /tests
parenttests/qmanifest: skip sign test if importing key fails (diff)
downloadportage-utils-3f59ae89004adfb1c6111acee7197758722ae69b.tar.gz
portage-utils-3f59ae89004adfb1c6111acee7197758722ae69b.tar.bz2
portage-utils-3f59ae89004adfb1c6111acee7197758722ae69b.zip
tests/qmanifest: allow gpg_import to fail
bash on Travis responds differently (more correct?) than bash on my test env, disable error-is-fail behaviour for the test Signed-off-by: Fabian Groffen <grobian@gentoo.org>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/qmanifest/dotest2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/qmanifest/dotest b/tests/qmanifest/dotest
index 0770ed13..900b9eaf 100755
--- a/tests/qmanifest/dotest
+++ b/tests/qmanifest/dotest
@@ -69,7 +69,9 @@ gpg_import() {
# - Ubuntu uses old/ancient gnupg which doesn't grok arguments and key (Travis)
# - HOME (T) may be too long to hold a socket, especially on Linux this
# pathlength is very short, Portage's T may be too long by default
+set +e
if gpg_import "${as}"/key.gpg qmanifest ; then
+set -e
# make it a fully valid tree
rm testtree/my-cat/mypackage/unrecorded-file